summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-03-20 13:26:28 +0100
committerJim Meyering <jim@meyering.net>2007-03-20 13:26:28 +0100
commitde540a76eb7c2cbb95ac84ea31cdf0e4cf0013a5 (patch)
treec6e95543a09a35626c7a880ad61fea11080cee9b /tests
parent02b2e48b12165881903e3bd3c325efa40ffe148a (diff)
downloadcoreutils-de540a76eb7c2cbb95ac84ea31cdf0e4cf0013a5.tar.xz
Skip part of this test when "." is not a local file system.
* tests/install/basic-1: Otherwise, it would fail on some NFS file systems.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/install/basic-118
1 files changed, 11 insertions, 7 deletions
diff --git a/tests/install/basic-1 b/tests/install/basic-1
index 78a837552..327060404 100755
--- a/tests/install/basic-1
+++ b/tests/install/basic-1
@@ -129,13 +129,17 @@ test -d xx/rel && fail=1
# Test that we can install from an unreadable directory with an
# inaccessible parent. coreutils 5.97 fails this test.
-mkdir -p sub1/d || fail=1
-(cd sub1/d && chmod a-r . && chmod a-rx .. &&
- ginstall -d "$abs/xx/zz" rel/a rel/b) || fail=1
-chmod 755 sub1 sub1/d || fail=1
-test -d xx/zz || fail=1
-test -d sub1/d/rel/a || fail=1
-test -d sub1/d/rel/b || fail=1
+# Perform this test only if "." is on a local file system.
+# Otherwise, it would fail e.g., on an NFS-mounted file system.
+if df --local . >/dev/null 2>&1; then
+ mkdir -p sub1/d || fail=1
+ (cd sub1/d && chmod a-r . && chmod a-rx .. &&
+ ginstall -d "$abs/xx/zz" rel/a rel/b) || fail=1
+ chmod 755 sub1 sub1/d || fail=1
+ test -d xx/zz || fail=1
+ test -d sub1/d/rel/a || fail=1
+ test -d sub1/d/rel/b || fail=1
+fi
touch file || fail=1
ginstall -Dv file sub3/a/b/c/file >out 2>&1 || fail=1